Subject: FVWM: autoraise with new windows

From: [email-masked] (Mark Scott)
Date: Fri, 3 Nov 1995 08:30:15 -0600 (CST)

Does anyone know why FvwmAuto doesn't raise the window that has focus when
a new window comes up & happens to land partially over my focused window?

thanks 
 _____________________________________________________________________________
| Mark Scott                        | 				             |
| Motorola Computer Group           |  There's no better place on earth,     |
| [email-masked]   	    |   than the road that leads to heaven.  |
| Ph# (217) 384-8536	            |                                        |
| http://www.prairienet.org/~mscott |             Steven Curtis Chapman      |
 -----------------------------------------------------------------------------
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Kai Grossjohann <[email-masked]>
Date: Fri, 3 Nov 95 16:37:17 +0100

>>>>> "Mark" == Mark Scott <[email-masked]> writes:

  Mark> Does anyone know why FvwmAuto doesn't raise the window that
  Mark> has focus when a new window comes up & happens to land
  Mark> partially over my focused window?

Chuck, please don't unconditionally change this behavior.  I wouldn't
want the new window to be obscured.

What does everybody else think?
        \kai{}
--
~/.signature

---

From: tim werner <[email-masked]>
Date: Sat, 4 Nov 1995 00:10:04 -0500

>What does everybody else think?

I rather like the idea of keeping the focused window on top.  It happens
to me all the time that I have to take time out to get back my original
window so I can finish up somthing before going to the new one.

tw

-- 
Children of a future age, reading this indignant page,
Know that in a former time, love, sweet love, was thought a crime.
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: "Paul D. Smith" <[email-masked]>
Date: Mon, 6 Nov 95 11:30:20 EST

%% Regarding Re: FVWM: autoraise with new windows;

    kg> Chuck, please don't unconditionally change this behavior.  I
    kg> wouldn't want the new window to be obscured.  What does
    kg> everybody else think?

I'm with you, Kai: I much prefer the current behavior.  If anything,
please make this new behavior optional.

As an aside, I'm still seeing the "stubborn autoraise" problem I had
even after, at the suggestion of this list, upping my autoraise timeout
to 750 (from 500).  It's less frequent but I can still make it happen
somewhat consistently if I try :(.  Plus now I have to reset my whole
internal mouse/timing/raise clock :-/ :)

Surely there must be some solution to this?  Someone responded to my
last message saying that they thought it was a X timing issue, where
events were being delivered out-of-order from the X server.  Are we sure
this is the case?  Can it be tested?  I maintain a stubborn hope that
it's a bug in FVWM somewhere :)

-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 Senior Software Engineer                                   Bay Networks, Inc.
-----------------------------------------------==<http://www.baynetworks.com/>-
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
     These are my opinions--Bay Networks takes no responsibility for them.
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].